Not able to run Oozie Jobs on Ubnatu 14.04

2 followers
0
Avatar
I am facing below error. Please look into this.
 
Install Oozie Link
 
 
 
I have installed all hadoop tool like (Hadoop (2.7.3),Pig,Hive,Hbase(1.2.4),Sqoop1,Hue(3.11.0) and Oozie(4.3.0). I am facing one issue with running oozie jobs through command line or hue web interface.

Error

Exception in check(). Message[org.apache.hadoop.security.authorize.AuthorizationException: User: developer4 is not allowed to impersonate developer4]
java.io.IOException: org.apache.hadoop.security.authorize.AuthorizationException: User: developer4 is not allowed to impersonate developer4

I had set prozxyuser in core-site.xml in etc/hadoop/core-site.xml

Core-site.xml 

hadoop.proxyuser.developer4.hosts
*



hadoop.proxyuser.developer4.groups
*
 
 
Oozie-site.xml
 
 <property>
        <name>oozie.service.ProxyUserService.proxyuser.developer4.hosts</name>
        <value>*</value>
       
    </property>
 
    <property>
        <name>oozie.service.ProxyUserService.proxyuser.developer4.groups</name>
        <value>*</value>
     
    </property>

Let me know if you need more details. also let me know where I am doing  wrong. 
 
I have attahced screen shot of job error.
 
Hemant Jain

1 comment

  • Avatar
    Alan Mark

    Hemant,

    As this issue is not related to Datameer software, I would suggest you contact either Canonical for Ubuntu support or Apache Oozie themselves.

    0
Please sign in to leave a comment.